Create a Webhook

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks

Create a Webhook.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

application/json

Body

  • requested_server string

    set "https://dataflownode.zerionsoftware.com" for production Environment and "https://{{serverId}}-dataflownode.zerionsoftware.com" for a specific serverId if they do not share the same domain with production.

  • secure_webhook string

    true for secured webhook, and false for insecured webhook

  • webhook_name string

    name for the new webhook

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string

      webhook name

    • key string

      if secureWebhook is included, the returns will contain a public key for the webhook signature

    • record_set_id string

      recordSet that connects to the webhook

    • requested_date string

      created date

    • secure boolean

      true if secureWebhook is included with true value, false for other cases

    • webhook_name string

      webhook name

    • webhook_url string

      webhook URL

POST /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"requestedServer\": \"https://dataflownode.zerionsoftware.com\",\n  \"secureWebhook\": true,\n  \"webhookName\": \"new_webhook_name\"\n}"'
Request example
{
  "requestedServer": "https://dataflownode.zerionsoftware.com",
  "secureWebhook": true,
  "webhookName": "new_webhook_name"
}
Response examples (200)
{
  "_id": "574bcd24d96535adaf730a63",
  "recordSetId": "574bc94ed96535adaf730a62",
  "requestedDate": "2016-05-30 05:18:28 UTC",
  "webhookName": "wh_rs4",
  "webhookUrl": "{{serverId}}/domain/development/services/webhooks/ab6d48dd056c7f7a705b40d3c3b2b99b43695a1f-99e3d8c3044d3b35f264e5cda0f19eaad6c4e79d"
}